classification
Title: duplicate README in site-packages
Type: behavior Stage: resolved
Components: Versions: Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, matejcik, python-dev
Priority: normal Keywords:

Created on 2017-01-16 11:14 by matejcik, last changed 2017-01-30 10:52 by berker.peksag. This issue is now closed.

Messages (3)
msg285555 - (view) Author: jan matejek (matejcik) * Date: 2017-01-16 11:14
Lib/site-packages directory now contains README.txt in addition to README. Both files are identical. One of them should probably go away?
msg286456 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2017-01-29 22:43
Good catch and thanks for the report! Renaming was done in issue 24633. It looks like it was added back in a merge commit: https://github.com/python/cpython/commit/ebe304e919b56d889313a2d15fb5c52189a32ef7

I will delete Lib/site-packages/README shortly.
msg286483 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2017-01-30 10:51
New changeset 23fcc0e51510 by Berker Peksag in branch '3.6':
Issue #29283: Delete accidentally added Lib/site-packages/README
https://hg.python.org/cpython/rev/23fcc0e51510

New changeset 3d328ee18612 by Berker Peksag in branch 'default':
Issue #29283: Merge from 3.6
https://hg.python.org/cpython/rev/3d328ee18612
History
Date User Action Args
2017-01-30 10:52:43berker.peksagsetcomponents: - Installation
2017-01-30 10:52:36berker.peksagsetstatus: open -> closed
resolution: fixed
stage: resolved
2017-01-30 10:51:39python-devsetnosy: + python-dev
messages: + msg286483
2017-01-29 22:43:39berker.peksagsettype: enhancement -> behavior

messages: + msg286456
nosy: + berker.peksag
2017-01-16 11:14:45matejcikcreate